List FHIR providers

GET/fhir-provider/list

Retrieves a list of all active FHIR providers for the authenticated user.

On shared instances, only sandbox providers are returned. Sandbox providers return FhirProviderSandboxInfo.

RequiresBearerauthentication
Returns  

FHIR providers retrieved successfully

Response fields

successbooleanoptional
messagestringoptional
fhir_providersoneOf[]optional

List of FHIR providers. Sandbox providers return FhirProviderSandboxInfo, other providers return FhirProviderTemplate.

GETRequest
curl 'https://experiment.app.pheno.ml/fhir-provider/list' \
  -H 'Authorization: Bearer YOUR_API_KEY'
200 OKResponse
{
  "success": true,
  "message": "Fhir providers retrieved successfully",
  "fhir_providers": [
    {
      "id": "1716d214-de93-43a4-aa6b-a878d864e2ad",
      "name": "Epic Sandbox",
      "description": "Epic sandbox environment for testing",
      "provider": "epic",
      "base_url": "https://fhir.epic.com/interconnect-fhir-oauth/api/FHIR/R4",
      "client_id": "your-client-id",
      "auth_configs": {},
      "last_updated": "2024-01-15T10:30:00Z"
    }
  ]
}